{% set name = "@PROJECT_NAME@" %}
{% set version = "@PROJECT_VERSION@" %}

package:
  name: {{ name|lower }}
  version: {{ version }}

source:
  path: ../

build:
  number: 0
  skip: True  # [py==311 or py==313]
  script:
    - export CC=/usr/bin/clang  # [osx]
    - export CXX=/usr/bin/clang++  # [osx]
    - unset CMAKE_ARGS  # [osx]
    - mkdir -p build
    - cd build
    - cmake .. -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Release
    - make -j${CPU_COUNT}
    - make install

requirements:
  build:
    - cmake >=3.16
    - make
    - pkg-config
    - gcc_linux-64 >=15  # [linux]
    - gxx_linux-64 >=15  # [linux]
    - {{ compiler('c') }}  # [not linux]
    - {{ compiler('cxx') }}  # [not linux]
    - swig >=@LDAS_TOOLS_SWIG_VERSION@
    - python
    - numpy
    - ldas-tools-cmake >=@LDAS_TOOLS_CMAKE_VERSION@
    - ldas-tools-al >=@LDAS_TOOLS_AL_VERSION@
    - libboost-devel >=@BOOST_MINIMUM_VERSION@
  host:
    - ldas-tools-cmake >=@LDAS_TOOLS_CMAKE_VERSION@
    - ldas-tools-al >=@LDAS_TOOLS_AL_VERSION@
    - libboost-devel >=@BOOST_MINIMUM_VERSION@
    - libcxx  # [osx]
    - python
    - numpy
  run:
    - ldas-tools-al >=@LDAS_TOOLS_AL_VERSION@
    - python
    - numpy

test:
  imports:
    - LDAStools

about:
  home: @PACKAGE_HOMEPAGE_URL@
  license: GPL-2+
  license_file: COPYING
  summary: @PROJECT_DESCRIPTION@
  description: |
    @PROJECT_DESCRIPTION_LONG@

extra:
  recipe-maintainers:
    - ed-maros